Bug 778473 - HTTP JBoss Remoting Gateway does not support GET
HTTP JBoss Remoting Gateway does not support GET
Status: CLOSED WONTFIX
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA
Assigned To: Mark Little
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 04:00 EDT by Martin Vecera
Modified: 2012-07-13 00:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-948
Environment:
Last Closed: 2008-12-21 23:53:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-948 Major Closed HTTP JBoss Remoting Gateway does not support GET 2013-07-26 06:10:27 EDT

  None (edit)
Description Martin Vecera 2008-10-16 04:00:12 EDT
++ This bug is a clone of bug 778472 ++

Date of First Response: 2008-10-16 04:38:35
project_key: SOA

According to JBESB-799 "JBR/HTTP Gateway does not appear to provide actions with the query string from a GET". This lead to the following exception:

08:35:17,199 INFO  [MessagePayloadProxy] Null data found in message location(s): [org.jboss.soa.esb.message.defaultEntry]
08:35:17,213 ERROR [JBossRemotingGatewayListener] JBoss Remoting Gateway failed to synchronously deliver message to target service [SecurityCredentials:HttpsMethodService1].
org.jboss.soa.esb.listeners.message.MessageDeliverException: Null data found in message location(s): [org.jboss.soa.esb.message.defaultEntry]
        at org.jboss.soa.esb.message.MessagePayloadProxy.getPayload(MessagePayloadProxy.java:161)
        at org.jboss.soa.esb.listeners.message.AbstractMessageComposer.decompose(AbstractMessageComposer.java:100)
        at org.jboss.soa.esb.listeners.gateway.JBossRemotingGatewayListener$JBossRemotingMessageComposer.decompose(JBossRemotingGatewayListener.java:574)
        at org.jboss.soa.esb.listeners.gateway.JBossRemotingGatewayListener$JBossRemotingMessageComposer.decompose(JBossRemotingGatewayListener.java:487)
        at org.jboss.soa.esb.listeners.message.UncomposedMessageDeliveryAdapter.deliverSync(UncomposedMessageDeliveryAdapter.java:89)
        at org.jboss.soa.esb.listeners.gateway.JBossRemotingGatewayListener.invoke(JBossRemotingGatewayListener.java:345)
        at org.jboss.remoting.ServerInvoker.invoke(ServerInvoker.java:866)
        at org.jboss.remoting.transport.coyote.CoyoteInvoker.service(CoyoteInvoker.java:310)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:844)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:580)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:447)
        at java.lang.Thread.run(Thread.java:595)

And the client recieves:
Response code from server: 500
Response message from server: JBoss Remoting: Error occurred within target application.
Comment 1 Martin Vecera 2008-10-16 04:00:47 EDT
Link: Added: This issue depends JBESB-799
Comment 2 Kevin Conner 2008-10-16 04:37:32 EDT
Link: Removed: This issue depends JBESB-799 
Comment 3 Kevin Conner 2008-10-16 04:38:35 EDT
JBESB-1958 is a better report of the issue.
Comment 4 Kevin Conner 2008-10-16 04:38:35 EDT
Link: Added: This issue depends JBESB-1958
Comment 5 Mark Little 2008-10-16 07:25:51 EDT
It does not support other HTTP verbs as well, such as OPTIONS.
Comment 6 Martin Vecera 2008-10-16 07:33:02 EDT
According to PRD following verbs should be supported:
(4.3) HTTP/S support includes support for HTTP verbs such as GET, PUT, POST and DELETE. 

When we asked Burr for more precise definition we got this reply:
And GET, PUT, POST & DELETE should also be supported (GET is presently 
broken) but that isn't exclusive. If HEAD also works then great.
Comment 7 Mark Little 2008-10-16 07:40:01 EDT
Yes, but not for this release now unfortunately. See Fix field.
Comment 8 Martin Vecera 2008-10-16 07:58:21 EDT
The ERROR is thrown even if POST is used without any data in the request body.
Comment 9 Len DiMaggio 2008-10-16 09:51:43 EDT
So - for the 4.3 release, which  HTTP verbs are supported, with which parameters? We'll want to have/build tests to cover what we're supporting.




Comment 10 Martin Vecera 2008-10-17 07:37:26 EDT
Link: Added: This issue is related to JBESB-799
Comment 12 Mark Little 2008-11-04 10:05:17 EST
Link: Added: This issue related SOA-989
Comment 13 Burr Sutter 2008-12-16 09:45:36 EST
The new feature in SOA-989 should eliminate the need to correct the JBR-based HTTP support
Comment 14 Mark Little 2008-12-21 23:53:23 EST
Yes, we won't fix the JBR HTTP support to address this issue.

Note You need to log in before you can comment on or make changes to this bug.